View Issue Details

IDProjectCategoryView StatusLast Update
0023131mantisbtapi restpublic2017-09-03 18:41
ReporterrichardmossAssigned Tovboctor 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version2.5.1 
Target Version2.6.0Fixed in Version2.6.0 
Summary0023131: /api/rest/projects doesn't return child projects
Description

My MantisBT instance has 10 top level projects, 9 of which are public. The 10th is private and has 4 child projects, also private.

If I call /api/rest/projects using an token belonging to a viewer user, the first 9 projects are returned as expected.

If I call the same API using a token belong to an administrator user, 10 projects are returned - but not the 4 child projects, either as part of the main list or as children of the 10th project. Toggling the status of the projects to make them public rather than private has no effect.

TagsNo tags attached.

Activities

Related Changesets

MantisBT: master 10ff2817

2017-07-23 15:11:05

vboctor

Details Diff
Support sub-projects in REST API get all projects

- GET /api/rest/projects should return sub-projects.
- Projects should include “subProjects” element that lists sub-projects.
- Project info returned for sub-project reflects inherited information like categories and versions.

Fixes 0023131
mod - api/rest/restcore/projects_rest.php Diff File

Issue History

Date Modified Username Field Change
2017-07-19 13:03 richardmoss New Issue
2017-07-23 15:13 vboctor Assigned To => vboctor
2017-07-23 15:13 vboctor Status new => assigned
2017-07-23 15:13 vboctor Note Added: 0057305
2017-08-05 19:13 vboctor Changeset attached => MantisBT master 10ff2817
2017-08-05 19:13 vboctor Status assigned => resolved
2017-08-05 19:13 vboctor Resolution open => fixed
2017-08-05 19:13 vboctor Fixed in Version => 2.6.0
2017-08-05 19:22 vboctor Target Version => 2.6.0
2017-09-03 18:41 vboctor Status resolved => closed